startrek-python-client (2.4) unstable; urgency=low

  * Python2 support fixed

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Thu, 13 Jan 2020 15:14:00 +0300

startrek-python-client (2.3) unstable; urgency=low

  * COMMONPY-220  правка remotelinks

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Thu, 08 Aug 2019 13:26:00 +0300

startrek-python-client (2.2) unstable; urgency=low

  * ISEARCH-5960 use internal tracker issues and queues collections

 -- Taisiya Malikova <tmalikova@yandex-team.ru>  Mon, 28 Jul 2019 12:23:00 +0300

startrek-python-client (2.1) unstable; urgency=low

  * COMMONPY-217 правка импорта

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Fri, 22 Jul 2019 19:11:00 +0300

startrek-python-client (2.0) unstable; urgency=low

  * COMMONPY-205 подготовка к внешнему релизу

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Fri, 11 Jun 2019 14:14:00 +0300

startrek-python-client (1.9.6) unstable; urgency=low

  * FORMS-3356 Добавлена работа с фильтрами (#88)

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Fri, 01 Mar 2019 14:44:00 +0300

startrek-python-client (1.9.5) unstable; urgency=low

  * FORMS-3356 Добавлена работа с фильтрами (#88)

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Mon, 18 Feb 2019 18:19:00 +0300

startrek-python-client (1.9.4) unstable; urgency=low

  * STARTREKAPI-78 поправил имя атрибута (#86)

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Mon, 29 Jan 2019 15:19:00 +0300

startrek-python-client (1.9.3) unstable; urgency=low

  * TOOLS-2309 правка verify (#85)

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Mon, 28 Jan 2019 18:30:00 +0300

startrek-python-client (1.9.2) unstable; urgency=low

  * STARTREK-13444 добавлена функциональность импота  (#83)

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Fri, 25 Jan 2019 13:10:00 +0300

startrek-python-client (1.9.1) unstable; urgency=low

  * FORMS-3157 add new types  (#83)

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Mon, 21 Jan 2019 11:00:00 +0300

startrek-python-client (1.9.0) unstable; urgency=low

  * Добавили сборку для 3 питона (#78)

 -- Arsenev Alexey <aarseniev@yandex-team.ru>  Tue, 15 May 2018 13:00:00 +0300

startrek-python-client (1.8.0) unstable; urgency=low

  [ Taisiya Malikova ]
  * ISEARCH-5127 добавляем /service/issues/_searchRelativeScroll и /servi… (#75)

  [ Andrew Malyhin ]
  * add distro requirements (#74)

  [ Taisiya Malikova ]

 -- Taisiya Malikova <tmalikova@yandex-team.ru>  Wed, 21 Mar 2018 17:50:16 +0300

startrek-python-client (1.7.1) unstable; urgency=low

  * Фикс зависимости от requests

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 25 Oct 2017 18:30:21 +0300

startrek-python-client (1.7.0) unstable; urgency=low

  [ Marina Kamalova ]
  * bump requests version

 -- Marina Kamalova <mkamalova@yandex-team.ru>  Tue, 24 Oct 2017 16:27:36 +0300

startrek-python-client (1.6.1) unstable; urgency=low

  [ Nikolay Tretyak ]
  * added internal_cert verification

 -- Nikolay Tretyak <ndtretyak@yandex-team.ru>  Fri, 20 Oct 2017 18:08:10 +0300

startrek-python-client (1.6.0) unstable; urgency=low

  [ Yuri Nediuzhin ]
  * поправил test_extract_url_params

  [ Taisiya Malikova ]
  * ISEARCH-5086 прикручиваем походы в обезличенное апи (#71)

 -- Taisiya Malikova <tmalikova@yandex-team.ru>  Thu, 28 Sep 2017 12:16:18 +0300

startrek-python-client (1.5.9) unstable; urgency=low

  * WIKI-10067 передача org id (b2b) заголовком

 -- Yuri Nediuzhin <yurgis@yandex-team.ru>  Tue, 23 May 2017 13:26:00 +0300

startrek-python-client (1.5.8) unstable; urgency=low

  [ Mikhail Olenin ]
  * Check validity headers for requests >= 2.11

 -- Dmitry Prokofyev <dmirain@yandex-team.ru>  Mon, 16 Jan 2017 16:15:00 +0300

startrek-python-client (1.5.7) unstable; urgency=low

  * Дополнительный заголовки в параметрах клиента. Например для языка.

 -- Dmitry Prokofyev <dmirain@yandex-team.ru>  Wed, 11 Jan 2017 19:00:00 +0300

startrek-python-client (1.5.6) unstable; urgency=low

  [ Alexander Zamyshlyaev ]
  * STARTREK-8200: Add ranks support to changelog

  [ Aleksey Shmykov ]
  * added start and end time fields for sprint class

 -- Dmitry Terrov <terrmit@yandex-team.ru>  Wed, 11 Jan 2017 12:35:06 +0300

startrek-python-client (1.5.5) unstable; urgency=low

  * FORMS-1021: Исправил проблему с именами аттачей

 -- Kirill Dunaev <kdunaev@dev1f.tech.os.yandex.ru>  Thu, 10 Nov 2016 19:09:17 +0300

startrek-python-client (1.5.4) unstable; urgency=low

  * STARTREK-9494: опциональное игнорирование изменения версии при редактировании

 -- Kirill Sibirev <sibirev@yandex-team.ru>  Wed, 12 Oct 2016 12:54:52 +0300

startrek-python-client (1.5.3) unstable; urgency=low

  * FORMS-776: Интеграция со стартрек

 -- Kirill Dunaev <kdunaev@dev1f.tech.os.yandex.ru>  Wed, 07 Sep 2016 13:42:06 +0300

startrek-python-client (1.5.2) unstable; urgency=low

  [ Mikhail Borisov ]
  * Add new collections: goals, translations, departments

 -- Dmitry Prokofyev <dmirain@yandex-team.ru>  Wed, 18 May 2016 14:43:35 +0300

startrek-python-client (1.5.1) unstable; urgency=low

  [ yurgis ]
  * WIKI-8899 вернул потерянный kwargs.pop('attachments') при создании с аттачментами

 -- Dmitry Prokofyev <dmirain@yandex-team.ru>  Thu, 21 Apr 2016 16:41:31 +0300

startrek-python-client (1.5.0) unstable; urgency=low

  * STAFF-6371: Не приходят письма о создании тикетов TRAVEL

 -- Dmitry Prokofyev <dmirain@yandex-team.ru>  Mon, 4 Apr 2016 12:16:45 +0300

startrek-python-client (1.4.1) unstable; urgency=low

  * STAFF-6337: Научиться обрабатывать 409 от st при создании тикета.

 -- Dmitry Prokofyev <dmirain@yandex-team.ru>  Thu, 31 Mar 2016 14:36:00 +0300

startrek-python-client (1.4.0) unstable; urgency=low

  * Рефакторинг формирования урла. Появилась возможность свободно передавать параметры в запрос.

 -- Dmitry Prokofyev <dmirain@yandex-team.ru>  Mon, 21 Mar 2016 10:10:00 +0300

startrek-python-client (1.3.1) unstable; urgency=low

  [ vbuldako ]
  * fix defaults

 -- Victor Buldakov <vbuldakov@yandex-team.ru>  Thu, 28 Jan 2016 14:37:15 +0300

startrek-python-client (1.3.0) unstable; urgency=low

  [ vbuldakov ]
  * add notify param

 -- Victor Buldakov <vbuldakov@yandex-team.ru>  Mon, 18 Jan 2015 20:08:17 +0300

startrek-python-client (1.2.9) unstable; urgency=low

  [ yaroman ]
  * remoteLinks changed to remotelinks in README

  [ Nataliya Kryuchkova ]
  * ISEARCH-3780: Поддержать параметр staleOk при переиндексации тикетов и комментариев в стартреке

 -- Nataliya Kryuchkova <knopka@yandex-team.ru>  Tue, 20 Oct 2015 10:34:23 +0300


startrek-python-client (1.2.8) unstable; urgency=low

  * STAFF-4144 Дополнительный параметр в линковке

 -- Dmitry Prokofyev <dmirain@yandex-team.ru>  Tue, 22 Sep 2015 18:41:55 +0300

startrek-python-client (1.2.7) unstable; urgency=low

  * Fix fetching pages in PaginatedList

 -- Kirill Sibirev <sibirev@yandex-team.ru>  Tue, 01 Sep 2015 18:11:17 +0300

startrek-python-client (1.2.6) unstable; urgency=low

  [ vbuldakov ]
  * Update README.md

  [ Никита Зубков ]
  * Update control

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Tue, 01 Sep 2015 00:01:26 +0300

startrek-python-client (1.2.5) unstable; urgency=low

  [ Slava Yozhkin ]
  * TOOLS-1762: Implement bulkchange methods.
  * Add bulkchange examples to the readme.

  [ Kirill Sibirev ]
  * Создавать аттач из file-like объекта

 -- Kirill Sibirev <sibirev@yandex-team.ru>  Wed, 05 Aug 2015 10:52:51 +0300

startrek-python-client (1.2.4) unstable; urgency=low

  [ Alexander Artemenko ]
  * В клиент добавлены атрибуты boards и sprints. А объекты коллекции Boards теперь имеют атрибут sprints.

  [ Roman Andriadi ]
  * Fixed nonseekable lists (e.g. issue changelog)

 -- Anton Bobukh <abobukh@yandex-team.ru>  Tue, 21 Jul 2015 12:03:14 +0300

startrek-python-client (1.2.3) unstable; urgency=low

  [ Никита Зубков ]
  * Зависимость от requests>=1.2.1

  [ Kirill Sibirev ]
  * Add filterId in issues template URI
  * Add fields in issues template URIs

 -- Kirill Sibirev <sibirev@yandex-team.ru>  Mon, 29 Jun 2015 15:53:45 +0300

startrek-python-client (1.2.2) unstable; urgency=low

  [ Serge Tsygankov ]
  * new tests
  * links info added to changelog items
  * per_page param fix

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Tue, 02 Jun 2015 13:29:19 +0300

startrek-python-client (1.2.1) unstable; urgency=low

  [ Nikita Zubkov ]
  * as_dict метод для ресурса

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Thu, 23 Apr 2015 17:43:29 +0300

startrek-python-client (1.2.0) unstable; urgency=low

  [ Serge Tsygankov ]
  * exception var out of local scope after 'except .. as exception' - py3 fix
  * some smoke tests for getting issue
  * own digits and ascii chars strings changed to std lib solution
  * st url to common config
  * tests dependencies
  * pytest added to tests dependencies
  * api url former function
  * FaseIssue as_dict property
  * mock to fixture
  * fake_issue was redundant here
  * test create issue
  * test update issue
  * transitions property for fake issue
  * test transitions list getting
  * test execute transition
  * test issues search
  * CRLF -> LF

  [ Nikita Zubkov ]
  * up setup.py
  * Запуск тестов через tox
  * fix control
  * заствил работать под python-3.2
  * python3 in build deps
  * fix
  * fix encoding
  * Фейлится перебор issues #32
  * fix metaclass
  * Не выполняются запросы с retry=0 #25
  * naming fix

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Thu, 16 Apr 2015 20:03:25 +0300

startrek-python-client (1.1.3) unstable; urgency=low

  [ Alexey Mikerin ]
  * WIKI-7301: искать тикеты find методе через POST запрос

  [ Nikita Zubkov ]
  * fix exceptions

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Tue, 07 Apr 2015 18:42:19 +0300

startrek-python-client (1.1.2) unstable; urgency=low

  [ Alexey Mikerin ]
  * WIKI-7301: добавил поддержку поиска тикетов через POST method

  [ Nikita Zubkov ]
  * Зависимость от six>=1.9
  * Поддержка python3 в exceptions.py

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Fri, 03 Apr 2015 17:04:35 +0300

startrek-python-client (1.1.1) unstable; urgency=low

  [ Nikita Zubkov ]
  * fix версию зависимости от python-six

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Thu, 02 Apr 2015 13:11:10 +0300

startrek-python-client (1.1.0) unstable; urgency=low

  [ Serge Tsygankov ]
  * py3 support - first iteration
  * rm debug info
  * debian dependency python-six added
  * rm redundant imports
  * sort collection match patterns by priority - fix
  * sort collection match patterns by priority - comment added

  [ Nikita Zubkov ]
  * fix rules
  * fix __str__ in exceptions

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Wed, 01 Apr 2015 13:14:45 +0300

startrek-python-client (1.0.7) precise; urgency=low

  * _collections in Startrek is now instance attribute, not class attribute

 -- Dmitry Terrov <terrmit@yandex-team.ru>  Tue, 24 Mar 2015 14:37:57 +0300

startrek-python-client (1.0.6) unstable; urgency=low

  [ Nikita Zubkov ]
  * Модифицировал PaginatedList
  * Получение атрибутов ресурса через квадратные скобочки

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Wed, 14 Jan 2015 14:13:01 +0300

startrek-python-client (1.0.5) unstable; urgency=low

  [ Anton Bobukh ]
  * Fix parent class' invocations
  * Add 'perPage', 'keys' and 'queue' params to the Issues.find method
  * Add 'notify_author' param to the Issues.create and IssueComments.create
  * Remove semicolon
  * Add RESERVED var

  [ Nikita Zubkov ]
  * New method get_next_page in PaginatedList

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Wed, 03 Dec 2014 17:12:12 +0300

startrek-python-client (1.0.4) unstable; urgency=low

  [ Anton Bobukh ]
  * Encode display in __repr__
  * Add 'link' and 'unlink' methods to the Connection
  * Add 'link' and 'unlink' methods to the Issues
  * Override 'create' method in the IssueLinks
  * Add projects to the Startrek
  * Add "Upgrading To Newer Releases" section

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Fri, 28 Nov 2014 12:35:24 +0300

startrek-python-client (1.0.3) unstable; urgency=low

  [ Nikita Zubkov ]
  * Еще раз изменил способ работы с версией пакета

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Thu, 27 Nov 2014 14:20:19 +0300

startrek-python-client (1.0.2) unstable; urgency=low

  [ Nikita Zubkov ]
  * Изменил способ задания версии
  * Пиклим коллекции

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Thu, 27 Nov 2014 12:51:06 +0300

startrek-python-client (1.0.1) unstable; urgency=low

  [ Alex Koshelev ]
  * Переименовываем только бинарный пакет

  [ Anton Bobukh ]
  * Remove TODO
  * Fix 'create' and 'update' methods
  * Update Issues.move_to params
  * Update 'create_subtask' method
  * Remove 'version' param from 'clone_to' and 'move_to' methods
  * Add PermissionsParticipants, Access and AccessParticipants collections
  * Add 'permissions' property to Issues
  * Check if the key is in the self._value
  * Add cache for collections to the Startrek

  [ Nikita Zubkov ]
  * fix objects serialization
  * Возможность нормально пиклить ресурсы

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Wed, 26 Nov 2014 23:05:23 +0300

startrek-python-client (1.0.0) unstable; urgency=low

  * Первая, обновленная, обратно-несовместимая версия клиента.

 -- Nikita Zubkov (Hello World!) <zubchick@yandex-team.ru>  Mon, 24 Nov 2014 18:37:54 +0400

startrek-python-client (0.4.20) unstable; urgency=low

  * QABS-3347: get comment became smaller
  * QABS-3347: first ver of worklog reports

 -- Anton Bobukh <abobukh@yandex-team.ru>  Wed, 12 Nov 2014 18:11:25 +0300

startrek-python-client (0.4.19) unstable; urgency=low

  * Add WorklogRecord resource

 -- Anton Bobukh <abobukh@yandex-team.ru>  Wed, 29 Oct 2014 16:49:14 +0300

startrek-python-client (0.4.18) unstable; urgency=low

  * Add 'keys', 'filter' and 'order' params to find_issues method

 -- Anton Bobukh <abobukh@yandex-team.ru>  Tue, 21 Oct 2014 19:41:19 +0400

startrek-python-client (0.4.17) unstable; urgency=low

  * Add 'inspect' method to StartrekError
  * Add 'upload_temp_attachment' method

 -- Anton Bobukh <abobukh@yandex-team.ru>  Fri, 17 Oct 2014 19:10:06 +0400

startrek-python-client (0.4.16) unstable; urgency=low

  * Get 'execute' url properly

 -- Anton Bobukh <abobukh@yandex-team.ru>  Thu, 16 Oct 2014 11:10:06 +0400

startrek-python-client (0.4.15) unstable; urgency=low

  * Get 'execute' link properly

 -- Anton Bobukh <abobukh@yandex-team.ru>  Thu, 16 Oct 2014 11:04:42 +0400

startrek-python-client (0.4.14) unstable; urgency=low

  * Add Myself resource

 -- Anton Bobukh <abobukh@yandex-team.ru>  Wed, 15 Oct 2014 14:19:19 +0400

startrek-python-client (0.4.13) unstable; urgency=low

  * Add Field, Screen and Element resources
  * Add abobukh to uploaders
  * Add dist, out and src/startrek_client.egg-info to .gitignore

 -- Anton Bobukh <abobukh@yandex-team.ru>  Wed, 15 Oct 2014 13:21:21 +0400

startrek-python-client (0.4.12) unstable; urgency=low

  * STARTREK-4591: add ability to specify params for requests

 -- Artem Redkin <artemredkin@yandex-team.ru>  Fri, 08 Aug 2014 11:30:43 +0400

startrek-python-client (0.4.11) unstable; urgency=low

  * STARTREK-4503: requests >= 1.0.0

 -- Anton Bobukh <abobukh@yandex-team.ru>  Thu, 31 Jul 2014 16:35:55 +0400

startrek-python-client (0.4.10) unstable; urgency=low

  * RB-197: Add timeout to Startrek

 -- Anton Bobukh <abobukh@yandex-team.ru>  Tue, 15 Jul 2014 18:33:07 +0400

startrek-python-client (0.4.9) unstable; urgency=low

  * Add 'link' and 'unlink' methods to Issue

 -- Anton Bobukh <abobukh@yandex-team.ru>  Fri, 11 Jul 2014 20:55:38 +0400

startrek-python-client (0.4.8) unstable; urgency=low

  * Actions for linking and unlinking resources

 -- Anton Bobukh <abobukh@yandex-team.ru>  Fri, 11 Jul 2014 19:48:09 +0400

startrek-python-client (0.4.7) unstable; urgency=low

  * uriutils can expand tuples
  * STARTREK-4230: User can pass 'limit' param to 'find_issues' method; 'get_changelog' and 'get_changelog_entry' methods are added StartrekClient

 -- Anton Bobukh <abobukh@yandex-team.ru>  Fri, 27 Jun 2014 19:03:18 +0400

startrek-python-client (0.4.6) unstable; urgency=low

  * STARTREK-3864: Fir for 'transition_to' method

 -- Anton Bobukh <abobukh@yandex-team.ru>  Tue, 03 Jun 2014 14:25:03 +0400

startrek-python-client (0.4.5) unstable; urgency=low

  * STARTREK-3934: fix to string for links

 -- Artem Redkin <artemredkin@yandex-team.ru>  Fri, 23 May 2014 14:04:24 +0400

startrek-python-client (0.4.4) unstable; urgency=low

  * Startrek.get_queue_issue_types

 -- Anton Bobukh <abobukh@yandex-team.ru>  Thu, 15 May 2014 12:29:06 +0400

startrek-python-client (0.4.3) unstable; urgency=low

  * fix reference string representation for python 3

 -- Artem Redkin <artemredkin@yandex-team.ru>  Wed, 16 Apr 2014 14:50:48 +0400

startrek-python-client (0.4.2) unstable; urgency=low

  * Python3 support again

 -- Artem Redkin <artemredkin@yandex-team.ru>  Wed, 16 Apr 2014 14:13:26 +0400

startrek-python-client (0.4.1) unstable; urgency=low

  * Bugfixes, python 3 support, new requests

 -- Artem Redkin <artemredkin@yandex-team.ru>  Wed, 16 Apr 2014 13:45:13 +0400

startrek-python-client (0.4) unstable; urgency=low

  * Base functionality complete

 -- Artem Redkin <artemredkin@yandex-team.ru>  Thu, 10 Apr 2014 23:10:51 +0400

startrek-python-client (0.3) unstable; urgency=low

  * New Methods

 -- Artem Redkin <artemredkin@yandex-team.ru>  Thu, 27 Mar 2014 14:24:13 +0400

startrek-python-client (0.2.2) unstable; urgency=low

  * Minor fixes

 -- Anton Bobukh <abobukh@yandex-team.ru>  Tue, 04 Mar 2014 12:51:01 +0400

startrek-python-client (0.2.1) unstable; urgency=low

  * STARTREK-3114: update transition method

 -- Artem Redkin <artemredkin@yandex-team.ru>  Mon, 17 Feb 2014 14:53:28 +0400

startrek-python-client (0.2) unstable; urgency=low

  * STARTREK-3114: add transitions

 -- Artem Redkin <artemredkin@yandex-team.ru>  Mon, 17 Feb 2014 14:28:44 +0400

startrek-python-client (0.1.6) unstable; urgency=low

  * Fix custom fields parsing

 -- Artem Redkin <artemredkin@yandex-team.ru>  Fri, 14 Feb 2014 17:45:24 +0400

startrek-python-client (0.1.5) unstable; urgency=low

  * Add User Agent to client constructor

 -- Artem Redkin <artemredkin@yandex-team.ru>  Mon, 10 Feb 2014 11:57:28 +0400

startrek-python-client (0.1.4) unstable; urgency=low

  * Revert r.json

 -- Artem Redkin <artemredkin@yandex-team.ru>  Mon, 03 Feb 2014 16:41:01 +0400

startrek-python-client (0.1.3) unstable; urgency=low

  * Fix imports

 -- Artem Redkin <artemredkin@yandex-team.ru>  Mon, 03 Feb 2014 16:04:05 +0400

startrek-python-client (0.1.2) unstable; urgency=low

  * Update build scripts

 -- Artem Redkin <artemredkin@yandex-team.ru>  Mon, 03 Feb 2014 12:14:00 +0400

startrek-python-client (0.1.1) unstable; urgency=low

  * Use V2

 -- Artem Redkin <artemredkin@yandex-team.ru>  Fri, 31 Jan 2014 15:32:57 +0400

startrek-python-client (0.1) unstable; urgency=low

  * Initial release

 -- Artem Redkin <artemredkin@yandex-team.ru>  Thu, 30 Jan 2014 20:33:30 +0400
